[Unit]
Description=Lomiri Shell
BindsTo=graphical-session.target
Before=graphical-session.target
Requires=dbus.socket
After=dbus.socket
Before=lomiri-indicators.target
Wants=lomiri-indicators.target

[Service]
Type=notify
SyslogIdentifier=lomiri
ExecStart=@CMAKE_INSTALL_FULL_BINDIR@/lomiri-session
ExecStopPost=@DUAE_BIN@ --systemd WAYLAND_DISPLAY=

# Start this target on stop to ends all applications launched through LAL,
# including those that are SIGSTOP'ed by us. Don't care about the failure
# as it's not that important. Also no need to block as we only want the apps
# to stop sometime before we come back up fully again.
ExecStopPost=-systemctl --user start --no-block lal-application-end.target
